/*
 * vars.h -- icebuteo
 * 
 * $Revision: 15 $
 * $Date: 2006-07-22 16:46:05 +0200 (Sat, 22 Jul 2006) $
 * 
 * Copyright (C) 2006  Josef Kufner <jk@myserver.cz>
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 */
#ifndef JK_VARS_H
#define JK_VARS_H

/* Reference to variable -- used by GUI */
typedef int VAR_REF;

/* Variable itself -- used by backends */
typedef int VAR_DATA;


int   var_init(void);
void  var_destroy(void);
	
/* create/set variables */
void  var_set_as_int	(VAR_REF vr, int value);
void  var_set_as_float	(VAR_REF vr, float value);
void  var_set_as_string	(VAR_REF vr, char* value);

/* get values */
int   var_get_type	(VAR_REF vr);
int   var_get_as_int	(VAR_REF vr);
float var_get_as_float	(VAR_REF vr);
char *var_get_as_string	(VAR_REF vr);

#endif

